Subject: bug#22546: Download-Page is "hiding" what the options actually are

From: Robin Vobruba <[email-masked]>
Date: Mon, 8 Feb 2016 10:46:42 +0100

the thing is, if one is not from this community (or a similar one), one
will not know what "System Distribution" means. it is a very abstract term,
and can mean anything. it is not self explanatory, and while "Operating
System" might not be as exact a description as SD (not that i would know,
but i imagine so, as you have chosen the later), it is a term that surely
everyone will know that comes to this page, and that is good enough for
most people, especially if it does not replace, but rather augment "System
Distribution", as a descriptive addition to the box.
people not reading bigger junks of text on a download page does not mean
they will be unable to follow a lengthy description for the installation.
the download page is there to download, not inform the user; click, click,
done! that is its purpose, and to give the required information to choose
what to download in as little time as possible. there are 3 choices. surely
it is nor necessary to read a 2 line text to be able to choose.

2016-02-08 10:10 GMT+01:00 Mathieu Lirzin <[email-masked]>:

> Robin Vobruba <[email-masked]> writes:
>
> > Being new to Guix, i went to the Download page:
> > https://www.gnu.org/software/guix/download/
> >
> > immediately saw the 3 big options
> > read their title/names
> > was confused what the difference might be between "GuixSD" and "Guix
> > Binary"
> > could not find anything inside these 3 option's boxes that would help
> > me
> > read the text below them
> > read the text above them
> > finally understood that the first option is the OS, and the second is
> > only the packag-manager
> >
> > i think that the first option should have a title saying "Operating
> > System install medium" or the like, and the second "Package-Manager
> > for arbitrary Linux".
> > nobody is going to read a small, regular text formatted, two lines
> > long paragraph on a download page, but this is very crucial
> > information for everyone that gets there.
>
> I would not say that the options are hidden, however I agree that there
> is room for improving the clarity of the different possible choices.
> For example, by having more distinctive graphics for the different
> options.  OTOH, I don't think this is a priority giving the current
> state of Guix development.  As Ludo said, Guix and GuixSD are relatively
> involving in regards of users' attention and patience, by requiring
> reading some documentation.
>
> Maybe a small improvement could be to emphasize the terms “GNU/Linux
> distribution” and/or “operating system” for GuixSD.
>
> What about replacing these?
>
> --8<---------------cut here---------------start------------->8---
> As of version 0.9.0, the Guix System Distribution can be installed...
> --8<---------------cut here---------------end--------------->8---
>
>   “As of version 0.9.0, the Guix System Distribution (GuixSD) is an
>   incarnation of the GNU operating system which can be installed...”
>
> --8<---------------cut here---------------start------------->8---
> USB installer of the Guix System Distribution.
> --8<---------------cut here---------------end--------------->8---
>
>   “USB installer of the GNU/Linux Guix System Distribution.”
>
>
> Ludo: is the terminology correct?  are these changes acceptable?
>
> --
> Mathieu Lirzin
>